% arm_constants.m
% Call this at the top of each function to provide access
% to a bunch of constants.
%   ---
%   Sam Bobb,  Daniel Cornew,  Ryan Deeter
%   Ben Tollberg
%	Two degree of freedom arm
%	Pantograph Robot Motor Control
%	Code version 4
%	June 10, 2010
%   ---

tick = 0.0005; % .5 ms
countsPerRev = 100000; % encoder counts per shave revolution

controlPeriod = 0.0005;  % 0.5 ms
RECORD_EVERY = 20; % record every 20 control periods

% Command List
C_HOLD = 0;
C_FLOAT = 1;
C_RUN = 2;
C_CONTROL_CONFIG = 3;
C_LOG_CONFIG = 4;
C_SET_PATH = 5;
C_SEND_LOG = 6;
C_LOOP = 07;
C_GOTO = 9;
C_PAUSE = 10;

baud = 19200;

goto_time = 5;

% length of arms
L1 = 15;
L2 = 15;
L3 = 15;
L4 = 15;
L5 = 6.985;

log_columns = 4;

MINPAUSE = 0.5;
