function [ DATA ] = arm_get_log( COM )
%ARM_GET_LOG Gets data from the PIC
%   Pass in COM
%   Returns the data
%   ---
%   Sam Bobb,  Daniel Cornew,  Ryan Deeter
%   Ben Tollberg
%	Two degree of freedom arm
%	Pantograph Robot Motor Control
%	Code version 4
%	June 10, 2010
%   ---

% pull in constants
arm_constants

disp('ask for log')
fwrite(COM, C_SEND_LOG, 'int32');
pause(MINPAUSE);
% -----------------


%[DATA,COUNT,MSG] = fscanf(COM, '%s');
%there's usually some garbage at the beginning (like the echoed p 
%character command and line  breaks); this reads lines in until we find 
%the start line


[text,COUNT,MSG] = fscanf(COM, '%s');
if(~isempty(MSG))
    disp('serial problem')
    return
end
while isempty(strfind(text, 'START'))
    [text,COUNT,MSG] = fscanf(COM, '%s');
    if(~isempty(MSG))
        disp('serial problem')
        return
    end
end


% read number of rows
[rowstext,COUNT,MSG] = fscanf(COM, '%s');
if(~isempty(MSG))
    disp('serial problem')
    return
end
pat = 'ROWS=';
split = regexp(rowstext, pat, 'split');
rows = str2double(split(2));

DATA = cell(rows,log_columns);
%DATA = int2str(DATA);

%generate the fscanf format argument
%repeate the formatchar character for the number of columns
%formatchar = '%d';
%serialpat = '';

%establishing fscanf format
%for j = 1:log_columns
%    serialpat = [serialpat ' ' formatchar];
%end

%reads serial data and puts it into DATA
for j = 1:rows
%     [DATA(j, :),COUNT,MSG] = fscanf(COM, ' %d %d %d %d', [1,log_columns]);
%     %disp(COM.BytesAvailable)
    [DATA{j,1},COUNT,MSG] = fscanf(COM, '%s');
    [DATA{j,2},COUNT,MSG] = fscanf(COM, '%s');
    [DATA{j,3},COUNT,MSG] = fscanf(COM, '%s');
    [DATA{j,4},COUNT,MSG] = fscanf(COM, '%s');
    if(~isempty(MSG))
        disp('serial problem')
        return
    end
end

DATA = str2double(DATA);

%reads last line
[last,COUNT,MSG] = fscanf(COM, '%s');
if(~isempty(MSG))
    disp('serial problem')
    return
end

%verifies that last line read is the last line
if strcmp(last,'END')
    disp('Success')
else
    disp('Problem')
end

% -----------------


end

