function [ ] = arm_loop( COM, mode )
%ARM_LOOP Sends command for Loop or run once mode
%   Pass in COM and mode as string equal to either 'yes' or 'no'
%   Returns nothing
%   ---
%   Sam Bobb,  Daniel Cornew,  Ryan Deeter
%   Ben Tollberg
%	Two degree of freedom arm
%	Pantograph Robot Motor Control
%	Code version 4
%	June 10, 2010
%   ---

% pull in constants
arm_constants

if strcmp(mode, 'yes') == 1
    % send loop command
    disp('turn looping on')
    fwrite(COM, [C_LOOP 1], 'int32');
    disp('done')
    
elseif strcmp(mode, 'no') == 1
    % send don't loop command
    disp('turn looping off')
    fwrite(COM, [C_LOOP 0], 'int32');
    disp('done')
    
else
    % bad argument
    disp('bad arguement. must be either yes or no')
end
pause(MINPAUSE);

end

