function [ ] = arm_parameters( COM, kp1, kd1, ki1, Kslope1, kp2, kd2, ki2, Kslope2)
%ARM_PARAMETERS Send control parameters to the arm
%   Pass in COM object, kp, kd, ki
%   Returns nothing
%   ---
%   Sam Bobb,  Daniel Cornew,  Ryan Deeter
%   Ben Tollberg
%	Two degree of freedom arm
%	Pantograph Robot Motor Control
%	Code version 4
%	June 10, 2010
%   ---

% pull in constants
arm_constants

[KPnum1, KPden1] = rat(kp1, 0.0001);
[KDnum1, KDden1] = rat(kd1, 0.0001);
[KInum1, KIden1] = rat(ki1, 0.0001);

[KPnum2, KPden2] = rat(kp2, 0.0001);
[KDnum2, KDden2] = rat(kd2, 0.0001);
[KInum2, KIden2] = rat(ki2, 0.0001);

%set control parameters
disp('send control params')
fprintf('Params are: \nKPnum1 = %d, KPden1 = %d, KDnum1 = %d, KDden1 = %d, KInum1 = %d, KIden1 = %d \nKPnum2 = %d, KPden2 = %d, KDnum2 = %d, KDden2 = %d, KInum2 = %d, KIden2 = %d',KPnum1, KPden1, KDnum1, KDden1, KInum1, KIden1, KPnum2, KPden2, KDnum2, KDden2, KInum2, KIden2); 
fwrite(COM, [C_CONTROL_CONFIG KPnum1 KPden1 KDnum1 KDden1 KInum1 KIden1 Kslope1 KPnum2 KPden2 KDnum2 KDden2 KInum2 KIden2 Kslope2], 'int32');
pause(MINPAUSE);
disp('done')

end

