function [  ] = arm_xy_plot( haxes, DATA )
%ARM_XY_PLOT Plots log as x and y
%   Pass in the DATA matrix from arm_get_log and the axes handle where you
%   want the plot to go.
%   Returns nothing.
%   ---
%   Sam Bobb,  Daniel Cornew,  Ryan Deeter
%   Ben Tollberg
%	Two degree of freedom arm
%	Pantograph Robot Motor Control
%	Code version 4
%	June 10, 2010
%   ---

% pull in constants
arm_constants

T = RECORD_EVERY*controlPeriod;

sizeOfDATA = size(DATA);

L = sizeOfDATA(1);                     % Length of signal
t = (0:L-1)*T;            % Time vector

% pull apart data and convert to degrees
theta1ref = DATA(:,1)*360/countsPerRev;
theta1cur = DATA(:,2)*360/countsPerRev;
theta2ref = DATA(:,3)*360/countsPerRev;
theta2cur = DATA(:,4)*360/countsPerRev;

[x_ref, y_ref] = arm_thetas_to_xy(theta1ref, theta2ref);
[x_cur, y_cur] = arm_thetas_to_xy(theta1cur, theta2cur);

% subplot(2,2,1)
% plot(t, x_ref, t, x_cur)
% legend('ref', 'current')
% title('x')
% 
% subplot(2, 2, 2)
% plot(t, y_ref, t, y_cur)
% legend('ref', 'current')
% title('y')
% 
% subplot(2,2,3)
plot(haxes, x_ref,y_ref,x_cur,y_cur)
legend('ref', 'current')
title('x-y plane')

end

